Я получаю ошибку при установке knife-github-cookbooks

Когда когда-либо я делаю gem install knife-github-cookbooks на centos 7, я получаю ниже ошибки. Пожалуйста помочь

ERROR:  Error installing knife-github-cookbooks:
    ERROR: Failed to build gem native extension.

    /usr/bin/ruby extconf.rb
mkmf.rb can't find header files for ruby at /usr/share/include/ruby.h

1 ответ

  1. Мы рекомендуем использовать ChefDK на рабочих станциях, так как он включает все необходимые заголовки и прочее. Убедитесь, что вы используете chef gem install.